Skip to main content
POST
https://api-oms.verolabs.co
/
api
/
v1
/
orders
/
cancel
Cancel a working order
curl --request POST \
  --url https://api-oms.verolabs.co/api/v1/orders/cancel \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "order_id": "<string>",
  "request_id": "<string>"
}
'
{
  "isSuccess": true,
  "detail": "<string>",
  "data": {
    "msg_type": "<string>",
    "request_id": "<string>",
    "orig_request_id": "<string>",
    "client_id": "<string>",
    "hft_gateway": "<string>",
    "source_service": "<string>",
    "source_sequence": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Cancel order request fields.

CancelOrderRequest schema.

order_id
string
required

Original client request id/ref_order_id of the working order. Required.

request_id
string

Cancel ClOrdID. Empty or - lets the API generate one.

Response

Accepted

AckResponse schema.

isSuccess
boolean

Indicates whether the operation completed successfully.

Example:

true

detail
string

Detailed information for the record.

data
object

Ack schema.